<?php
$PAGE_TITLE    = "KXStudio";
$PAGE_TYPE     = "NONKXSTUDIO";
$PAGE_SOURCE_1 = ARRAY("/Documentation", "/Documentation", "/Documentation:Manual:kxstudio_introduction");
$PAGE_SOURCE_2 = ARRAY("Documentation", "Manual", "KXStudio Introduction");
include_once("includes/header.php");
?>

<div class="level1">

</div>

<h2><span name="what_is_kxstudio" id="what_is_kxstudio">What is KXStudio?</span></h2>
<div class="level2">

<p>

KXStudio is a large and frequently updated collection of audio/visual software for GNU/Linux. KXStudio is also the name given to a freely distributed GNU/Linux distribution, currently based on Ubuntu. The full KXStudio includes many system tweaks, applications, and tools not found within common GNU/Linux operating systems (distributions). KXStudio makes it easy to set up and use a free software-based digital audio/visual production environment. As well as this primary goal, KXStudio comes prepared to perform a wide variety of common computing tasks.
</p>

</div>

<h2><span name="what_is_this_kxstudio_manual_for" id="what_is_this_kxstudio_manual_for">What is this KXStudio manual for?</span></h2>
<div class="level2">

<p>

This short manual was created for the KXStudio DVD or USB install. KXStudio works with pretty much any PC, laptop, or netbook with a suggested (but not absolute) minimum of 1GB RAM and 8GB free hard drive space. These instructions are written for newcomers to GNU/Linux operating systems. The intent is to provide an overview of both the installation process and a brief introduction to GNU/Linux audio/visual production applications including understanding and using the most important aspects of KXStudio&#039;s custom audio tools.
</p>

</div>

<h2><span name="who_created_kxstudio_and_for_what_purpose" id="who_created_kxstudio_and_for_what_purpose">Who created KXStudio and for what purpose?</span></h2>
<div class="level2">

<p>

As a distribution or <acronym title="Operating System">OS</acronym>, KXStudio is largely based upon Ubuntu which is one of the most popular variants of GNU/Linux. Ubuntu has a parent company called Canonical which has employees working on Ubuntu as well as the help of its large community of users and developers plus an increasing number of third party commercial software companies offering software or support for Ubuntu. Being based upon Ubuntu, KXStudio is compatible with Ubuntu software and resources.
</p>

<p>
Seeing a need for better audio/video integration in the system, a talented young Portuguese developer known online as falkTX decided to improve the management and ease of use of various audio sub-systems and related software. To reach that goal, he created the KXStudio project which is closely related to his Cadence suite of tools, the Carla plugin host, and the DISTRHO audio plugins. falkTX puts an incredible amount of time and effort into creating and supporting these and has also assisted in improving numerous other <acronym title="Free/Libre and Open Source Software">FLOSS</acronym> projects. If you appreciate his ongoing hard work he would be grateful for any contributions you can make via <a href="http://kxstudio.sourceforge.net/Donations" class="urlextern" title="http://kxstudio.sourceforge.net/Donations"  rel="nofollow">http://kxstudio.sourceforge.net/Donations</a> . Thank you!
</p>

</div>

<h2><span name="how_does_kxstudio_differ_from_ms_windows_or_mac_os_x" id="how_does_kxstudio_differ_from_ms_windows_or_mac_os_x">How does KXStudio differ from MS Windows or Mac OS X?</span></h2>
<div class="level2">

<p>

If you are familiar with <acronym title="Microsoft">MS</acronym> Windows or OSX already, please be aware that although KXStudio can, in most cases, fully replace these commercial operating systems, it is not intended as a drop-in replacement for either. It is possible to run many <acronym title="Microsoft">MS</acronym> Windows programs under GNU/Linux via a program called Wine, and both Mac OSX and Linux are variants of the UNIX family of operating systems, but the overall GNU/Linux experience is quite distinct. You will have to adjust to the GNU/Linux way of doing things if you want to run KXStudio. Don&#039;t worry about it though because both Windows and Mac users will discover many of their computer skills transfer easily over and getting help online is free and easy. The GNU/Linux community is very friendly and active, and you can directly converse with the makers of the software in a way that doesn&#039;t happen in the Windows and OSX world.
</p>

<p>
It is also important to note that not all hardware manufacturers support Linux yet so if you are buying any hardware especially for use with KXStudio you should do your research first. Don&#039;t presume that just because something works or doesn&#039;t work under Windows that it will be so under KXStudio. Linux has a few sore spots for hardware support that are mostly the fault of secretive, non-co-operative manufacturers, but, conversely, Linux also supports lots of older hardware that may not work at all with modern versions of Windows. See the <a href="<?php echo $ROOT; ?>/Documentation:Manual:useful_links_and_getting_help" class="wikilink1" title="useful_links_and_getting_help">Useful Links</a> section of this manual for various Linux hardware compatibility reference sites.
</p>

</div>

<p><br/></p>

<?php
include_once("includes/footer.php");
?>
